{
    attributes = (
        {
            columnName = "PAGE_ID"; 
            externalType = NUMBER; 
            name = pageId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PAYE_ADEDUIRE"; 
            externalType = NUMBER; 
            name = payeAdeduire; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_BRUT"; 
            externalType = NUMBER; 
            name = payeBrut; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_BRUT_TOTAL"; 
            externalType = NUMBER; 
            name = payeBrutTotal; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_COUT"; 
            externalType = NUMBER; 
            name = payeCout; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_NET"; 
            externalType = NUMBER; 
            name = payeNet; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_PATRON"; 
            externalType = NUMBER; 
            name = payePatron; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "PAYE_RETENUE"; 
            externalType = NUMBER; 
            name = payeRetenue; 
            precision = 20; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }
    ); 
    attributesUsedForLocking = (pageId); 
    className = "org.cocktail.kaki.server.metier.EOPafAgentHisto"; 
    classProperties = (
        payeBrut, 
        payeBrutTotal, 
        payeAdeduire, 
        payeNet, 
        payePatron, 
        payeCout, 
        payeRetenue, 
        pafAgent
    ); 
    externalName = "jefy_paf.PAF_AGENT_HISTO"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            payeBrut, 
            payeBrutTotal, 
            payeAdeduire, 
            payeNet, 
            payePatron, 
            payeCout, 
            payeRetenue, 
            pafAgent
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EOPafAgentHisto"; 
        "_nameInObjectStore" = "PAF_AGENT_HISTO"; 
    }; 
    name = PafAgentHisto; 
    primaryKeyAttributes = (pageId); 
    relationships = (
        {
            destination = PafAgent; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pageId; sourceAttribute = pageId; }); 
            name = pafAgent; 
        }
    ); 
}
